alter table jin_merchant_settings change reg_api_post api_post_regcfm varchar(255) not null default '';
alter table jin_merchant_settings add api_post_changeuser varchar(255) not null default '' after api_post_regcfm;
alter table jin_merchant_settings add autoassign_affprogs varchar(255) not null default '' after reg_cfm_url;
alter table jin_merchant_settings add autoassign_roles varchar(255) not null default '' after reg_cfm_url;
alter table jin_merchant_settings add autoassign_memberships varchar(255) not null default '' after reg_cfm_url;

alter table jin_package add autoassign_memberships varchar(255) not null default '' after use_terms;

alter table jin_role add priv_spec_yourcommissionseezero int(1) not null default 0 after priv_spec_yourcommissionseecustomer;
update jin_role set priv_spec_yourcommissionseezero=1 where priv_supervisor=0;

alter table jin_sale add is_subscr int(1) not null default 0 after remote_ip;
update jin_sale set is_subscr=1 where subscr_descr_more!='';

update jin_merchant_settings set autoassign_roles=3 where autoassign_roles='';
